	//----------TSystem开始----------
    
	using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
//using System.Data.Entity.ModelConfiguration;
using Ewide.WorkOrderSys.Entity.Base;
using System.Runtime.Serialization;
	namespace Ewide.WorkOrderSys.Entity
	{	
        /// <summary>
        /// 数据表实体类：TSystem 
        /// </summary>
		[Table("TSystem")]
        public partial class TSystem: BaseEntity        {    
		                    /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
				[Key]
								[Column("ID")]   
				[DataMember]  
			    public string ID  {get;set;}   
                                /// <summary>
                /// 0.关闭1.开启
                /// </summary>    
				
				[Display(Name="0.关闭1.开启")]   
								[Column("Status")]   
				[DataMember]  
			    public int Status  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("AdminID")]   
				[DataMember]  
			    public string AdminID  {get;set;}   
                 
		  }

		  /**
            /// <summary>
            /// 数据表实体类Map：TSystem 
            /// </summary>
            public class TSystemMap : EntityTypeConfiguration<TSystem>
			{
                public TSystemMap()
                {
					this.ToTable("TSystem");
												this.HasKey(t => t.ID);
													 this.Property(t => t.Status).HasColumnName("Status").IsRequired();
													 this.Property(t => t.CreateTime).HasColumnName("CreateTime").IsRequired();
													 this.Property(t => t.AdminID).HasColumnName("AdminID").IsRequired();
										}
			}**/

	}

	//----------TSystem结束----------

	